# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`windows_timezone`](#windows_timezone): Set the windows timezone using the `tzutil` command

## Classes

### windows_timezone

You must specify the timezone to use in the correct format to the `tz` parameter
otherwise this class will take no action.

* **See also**
https://github.com/GeoffWilliams/puppet-windows_timezone/blob/master/doc/windows_timezones.txt
https://stackoverflow.com/a/16656265/3441106

#### Examples

##### Setting the timezone

```puppet
class { "windows_timezone":
  tz => "New Zealand Standard Time",
}
```

#### Parameters

The following parameters are available in the `windows_timezone` class.

##### `tz`

Data type: `Optional[String]`

The timezone to set this node to use.  You must only the names
allowed by the `tzutil -l` command.  This has been captured on a Windows
2012 VM for your convenience and can be found at /doc/windows_timezones.txt
inside this module. The value to use for `tz` is the _second_ line of each
entry.

Default value: `undef`

